curl --request PUT \
--url https://api-sandbox.orum.io/deliver/businesses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Orum-Version: <orum-version>' \
--data '
{
"customer_reference_id": "<string>",
"legal_name": "<string>",
"business_name": "<string>",
"tax_id": "<string>",
"account_holder_name": "<string>",
"incorporation_date": "<string>",
"addresses": [
{
"type": "legal",
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "US",
"zip5": "<string>",
"address2": "<string>"
}
],
"contacts": [
{
"value": "<string>"
}
],
"metadata": {}
}
'import requests
url = "https://api-sandbox.orum.io/deliver/businesses/{id}"
payload = {
"customer_reference_id": "<string>",
"legal_name": "<string>",
"business_name": "<string>",
"tax_id": "<string>",
"account_holder_name": "<string>",
"incorporation_date": "<string>",
"addresses": [
{
"type": "legal",
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "US",
"zip5": "<string>",
"address2": "<string>"
}
],
"contacts": [{ "value": "<string>" }],
"metadata": {}
}
headers = {
"Orum-Version": "<orum-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Orum-Version': '<orum-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
customer_reference_id: '<string>',
legal_name: '<string>',
business_name: '<string>',
tax_id: '<string>',
account_holder_name: '<string>',
incorporation_date: '<string>',
addresses: [
{
type: 'legal',
address1: '<string>',
city: '<string>',
state: '<string>',
country: 'US',
zip5: '<string>',
address2: '<string>'
}
],
contacts: [{value: '<string>'}],
metadata: {}
})
};
fetch('https://api-sandbox.orum.io/deliver/businesses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.orum.io/deliver/businesses/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'customer_reference_id' => '<string>',
'legal_name' => '<string>',
'business_name' => '<string>',
'tax_id' => '<string>',
'account_holder_name' => '<string>',
'incorporation_date' => '<string>',
'addresses' => [
[
'type' => 'legal',
'address1' => '<string>',
'city' => '<string>',
'state' => '<string>',
'country' => 'US',
'zip5' => '<string>',
'address2' => '<string>'
]
],
'contacts' => [
[
'value' => '<string>'
]
],
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Orum-Version: <orum-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.orum.io/deliver/businesses/{id}"
payload := strings.NewReader("{\n \"customer_reference_id\": \"<string>\",\n \"legal_name\": \"<string>\",\n \"business_name\": \"<string>\",\n \"tax_id\": \"<string>\",\n \"account_holder_name\": \"<string>\",\n \"incorporation_date\": \"<string>\",\n \"addresses\": [\n {\n \"type\": \"legal\",\n \"address1\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"country\": \"US\",\n \"zip5\": \"<string>\",\n \"address2\": \"<string>\"\n }\n ],\n \"contacts\": [\n {\n \"value\": \"<string>\"\n }\n ],\n \"metadata\": {}\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Orum-Version", "<orum-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api-sandbox.orum.io/deliver/businesses/{id}")
.header("Orum-Version", "<orum-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"customer_reference_id\": \"<string>\",\n \"legal_name\": \"<string>\",\n \"business_name\": \"<string>\",\n \"tax_id\": \"<string>\",\n \"account_holder_name\": \"<string>\",\n \"incorporation_date\": \"<string>\",\n \"addresses\": [\n {\n \"type\": \"legal\",\n \"address1\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"country\": \"US\",\n \"zip5\": \"<string>\",\n \"address2\": \"<string>\"\n }\n ],\n \"contacts\": [\n {\n \"value\": \"<string>\"\n }\n ],\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.orum.io/deliver/businesses/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Orum-Version"] = '<orum-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customer_reference_id\": \"<string>\",\n \"legal_name\": \"<string>\",\n \"business_name\": \"<string>\",\n \"tax_id\": \"<string>\",\n \"account_holder_name\": \"<string>\",\n \"incorporation_date\": \"<string>\",\n \"addresses\": [\n {\n \"type\": \"legal\",\n \"address1\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"country\": \"US\",\n \"zip5\": \"<string>\",\n \"address2\": \"<string>\"\n }\n ],\n \"contacts\": [\n {\n \"value\": \"<string>\"\n }\n ],\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"business": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_reference_id": "<string>",
"legal_name": "<string>",
"status": "created",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"business_name": "<string>",
"entity_type": "<string>",
"tax_id_type": "<string>",
"account_holder_name": "<string>",
"incorporation_date": "<string>",
"addresses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "home",
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "US",
"zip5": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"address2": "<string>"
}
],
"contacts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "email",
"value": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"closed_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Update Business By ID
Update a business object by id.
curl --request PUT \
--url https://api-sandbox.orum.io/deliver/businesses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Orum-Version: <orum-version>' \
--data '
{
"customer_reference_id": "<string>",
"legal_name": "<string>",
"business_name": "<string>",
"tax_id": "<string>",
"account_holder_name": "<string>",
"incorporation_date": "<string>",
"addresses": [
{
"type": "legal",
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "US",
"zip5": "<string>",
"address2": "<string>"
}
],
"contacts": [
{
"value": "<string>"
}
],
"metadata": {}
}
'import requests
url = "https://api-sandbox.orum.io/deliver/businesses/{id}"
payload = {
"customer_reference_id": "<string>",
"legal_name": "<string>",
"business_name": "<string>",
"tax_id": "<string>",
"account_holder_name": "<string>",
"incorporation_date": "<string>",
"addresses": [
{
"type": "legal",
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "US",
"zip5": "<string>",
"address2": "<string>"
}
],
"contacts": [{ "value": "<string>" }],
"metadata": {}
}
headers = {
"Orum-Version": "<orum-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Orum-Version': '<orum-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
customer_reference_id: '<string>',
legal_name: '<string>',
business_name: '<string>',
tax_id: '<string>',
account_holder_name: '<string>',
incorporation_date: '<string>',
addresses: [
{
type: 'legal',
address1: '<string>',
city: '<string>',
state: '<string>',
country: 'US',
zip5: '<string>',
address2: '<string>'
}
],
contacts: [{value: '<string>'}],
metadata: {}
})
};
fetch('https://api-sandbox.orum.io/deliver/businesses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.orum.io/deliver/businesses/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'customer_reference_id' => '<string>',
'legal_name' => '<string>',
'business_name' => '<string>',
'tax_id' => '<string>',
'account_holder_name' => '<string>',
'incorporation_date' => '<string>',
'addresses' => [
[
'type' => 'legal',
'address1' => '<string>',
'city' => '<string>',
'state' => '<string>',
'country' => 'US',
'zip5' => '<string>',
'address2' => '<string>'
]
],
'contacts' => [
[
'value' => '<string>'
]
],
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Orum-Version: <orum-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.orum.io/deliver/businesses/{id}"
payload := strings.NewReader("{\n \"customer_reference_id\": \"<string>\",\n \"legal_name\": \"<string>\",\n \"business_name\": \"<string>\",\n \"tax_id\": \"<string>\",\n \"account_holder_name\": \"<string>\",\n \"incorporation_date\": \"<string>\",\n \"addresses\": [\n {\n \"type\": \"legal\",\n \"address1\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"country\": \"US\",\n \"zip5\": \"<string>\",\n \"address2\": \"<string>\"\n }\n ],\n \"contacts\": [\n {\n \"value\": \"<string>\"\n }\n ],\n \"metadata\": {}\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Orum-Version", "<orum-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api-sandbox.orum.io/deliver/businesses/{id}")
.header("Orum-Version", "<orum-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"customer_reference_id\": \"<string>\",\n \"legal_name\": \"<string>\",\n \"business_name\": \"<string>\",\n \"tax_id\": \"<string>\",\n \"account_holder_name\": \"<string>\",\n \"incorporation_date\": \"<string>\",\n \"addresses\": [\n {\n \"type\": \"legal\",\n \"address1\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"country\": \"US\",\n \"zip5\": \"<string>\",\n \"address2\": \"<string>\"\n }\n ],\n \"contacts\": [\n {\n \"value\": \"<string>\"\n }\n ],\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.orum.io/deliver/businesses/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Orum-Version"] = '<orum-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customer_reference_id\": \"<string>\",\n \"legal_name\": \"<string>\",\n \"business_name\": \"<string>\",\n \"tax_id\": \"<string>\",\n \"account_holder_name\": \"<string>\",\n \"incorporation_date\": \"<string>\",\n \"addresses\": [\n {\n \"type\": \"legal\",\n \"address1\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"country\": \"US\",\n \"zip5\": \"<string>\",\n \"address2\": \"<string>\"\n }\n ],\n \"contacts\": [\n {\n \"value\": \"<string>\"\n }\n ],\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"business": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_reference_id": "<string>",
"legal_name": "<string>",
"status": "created",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"business_name": "<string>",
"entity_type": "<string>",
"tax_id_type": "<string>",
"account_holder_name": "<string>",
"incorporation_date": "<string>",
"addresses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "home",
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "US",
"zip5": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"address2": "<string>"
}
],
"contacts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "email",
"value": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"closed_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Authorizations
Headers
Path Parameters
Body
The legal name of the business as it appears on official registration forms. Accepts alphanumeric characters and hyphens, dashes, periods, apostrophes, spaces, hashes, colons, forward slashes, and diacritics.
255^[^\s][ ’!"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}~¡¢£¤¥¦§¨©ª«¬®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖרÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿĀāĂ㥹ĆćĈĉĊċČčĎďĐđĒēĔĕĖėĘęĚěĜĝĞğĠġĢģĤĥĦħĨĩĪīĬĭĮįİıIJijĴĵĶķĸĹĺĻļĽľĿŀŁłŃńŅņŇňʼnŊŋŌōŎŏŐőŒœŔŕŖŗŘřŚśŜŝŞşŠšŢţŤťŦŧŨũŪūŬŭŮůŰűŲųŴŵŶŷŸŹźŻżŽžſ]+$A trade name or pseudonym used by the business that is not its officially registered company name. Accepts alphanumeric characters and hyphens, dashes, periods, apostrophes, spaces, hashes, colons, forward slashes, and diacritics.
255^([ ’!"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}~¡¢£¤¥¦§¨©ª«¬®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖרÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿĀāĂ㥹ĆćĈĉĊċČčĎďĐđĒēĔĕĖėĘęĚěĜĝĞğĠġĢģĤĥĦħĨĩĪīĬĭĮįİıIJijĴĵĶķĸĹĺĻļĽľĿŀŁłŃńŅņŇňʼnŊŋŌōŎŏŐőŒœŔŕŖŗŘřŚśŜŝŞşŠšŢţŤťŦŧŨũŪūŬŭŮůŰűŲųŴŵŶŷŸŹźŻżŽžſ]*|)$Name of account holder. Accepts alphanumeric characters and hyphens, dashes, periods, apostrophes, spaces, and diacritics.
255^([ ’!"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}~¡¢£¤¥¦§¨©ª«¬®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖרÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿĀāĂ㥹ĆćĈĉĊċČčĎďĐđĒēĔĕĖėĘęĚěĜĝĞğĠġĢģĤĥĦħĨĩĪīĬĭĮįİıIJijĴĵĶķĸĹĺĻļĽľĿŀŁłŃńŅņŇňʼnŊŋŌōŎŏŐőŒœŔŕŖŗŘřŚśŜŝŞşŠšŢţŤťŦŧŨũŪūŬŭŮůŰűŲųŴŵŶŷŸŹźŻżŽžſ]*|)$Incorporated address information for the business. Note: This field is required for payouts, deposits, or account-to-account transfers. Orum requires a physical address for all registered businesses; aligned with standards mandated by FinCEN and the FDIC. A physical address is a tangible building address, such as a home, office, or office suite. A PO Box is a mailing address, but not a physical address.
1 elementShow child attributes
Show child attributes
Was this page helpful?